Next Previous Contents

## 3.6 _randomize

> Function

>   Initialize the pseudo random number generator.

> Header

>   `stdlib.h`

> Declaration

>   `void _randomize (void);`

> Description

>   The function initializes the random number generator with a seed derived from fast changing hardware events, so the seed itself can be considered random to a certain degree.

> Limits

>   - The randomness of the seed depends on the machine hardware.
> Availability

>   cc65

> See also

>   rand, srand

> Example

>   None.

Next Previous Contents